* adressen
erase
@ 3,15 say "Programme der Datei Adressen"
@ 6,0 Say"Bitte achten Sie darauf, da~ sich die Programmdiskette im"
@ 7,0 say"Laufwerk a: und die Dateidiskette im Laufwerk b: befinden."
@ 8,0 say"Wenn ja, bitte RETURN eingeben."
@ 9,0 say"Wenn nein, bitte 0 w{hlen. Danach mit QUIT dbase verlassen,"
@ 10,0 say"CHANGE A/B (Taste F3) dr}cken und die Disketten richtig ein-"
@ 11,0 say"legen, anschlie~end dbase wieder starten."
Wait to weiter
if weiter = "0"
Return
else
do while t
erase
@ 1,10 say "Programmauswahl f}r die Datei Adressen"
@ 3,1 say "Bitte w{hlen Sie eine der nachfolgenden Funktionen anhand"
@ 4,1 say "der in Klammern stehenden Ziffern"
@ 7,1 say "(1) Alphabetische Auflistung aller Adressen auf dem Bildschirm"
@ 9,1 say "(2) Alphabetische Auflistung aller Adressen mit Druckm|glichkeit"
@ 11,1 say "(3) Anschrift suchen anhand des Nachnamens mit Druckm|glichkeit"
@ 13,1 say "(4) Anschrift suchen anhand des Wohnorts mit Druckm|glichkeit"
@ 15,1 say "(5) Erg{nzen oder [ndern der Anschriftendatei"
@ 17,1 say "(6) L|schen einer Anschrift"
@ 19,1 say "(7) Erstellen einer Sicherheitskopie"
@ 21,1 say "(0) Ende der Bearbeitung"
?
Wait to antwort
do case
   case antwort = "1"
   do adlist
   case antwort = "2"
   do adlistdr
   case antwort = "3"
   do adsuch
   case antwort = "4"
   do ortsuch
   case antwort = "5"
   do adappend
   case antwort = "6"
*  do addelete
   case antwort = "7"
*  do siko
   case antwort = "0"
   return
   endcase
enddo
endif
return











